Subject: Re: 23.0.60; *shell* swallows meaningful command output lines

From: Chong Yidong <[email-masked]>
Date: Sun, 30 Nov 2008 18:41:00 -0500

> When I use `M-x shell' and go to one of my git repositories I get this:
>
> horn@thinkpad:~/repos/org> git status
> # On branch master
> no changes added to commit (use "git add" and/or "git commit -a")

I can't reproduce this with `emacs -Q':

  ~/temp/emacs $ git --no-pager status
  # On branch master
  # Changed but not updated:
  #   (use "git add <file>..." to update what will be committed)
  #
  #       modified:   src/ChangeLog
  #
  no changes added to commit (use "git add" and/or "git commit -a")

(git tries using a pager if the --no-pager option is omitted, which is
presumably not what you want in this bug report.)